/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface GetSimulationResultReplyOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.GetSimulationResultReply)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated .SimulationController.VehicleSimulationDataFrame vehicles = 1;</code>
   */
  java.util.List<protobuf.VehicleSimulationDataFrame> 
      getVehiclesList();
  /**
   * <code>repeated .SimulationController.VehicleSimulationDataFrame vehicles = 1;</code>
   */
  protobuf.VehicleSimulationDataFrame getVehicles(int index);
  /**
   * <code>repeated .SimulationController.VehicleSimulationDataFrame vehicles = 1;</code>
   */
  int getVehiclesCount();
  /**
   * <code>repeated .SimulationController.VehicleSimulationDataFrame vehicles = 1;</code>
   */
  java.util.List<? extends protobuf.VehicleSimulationDataFrameOrBuilder> 
      getVehiclesOrBuilderList();
  /**
   * <code>repeated .SimulationController.VehicleSimulationDataFrame vehicles = 1;</code>
   */
  protobuf.VehicleSimulationDataFrameOrBuilder getVehiclesOrBuilder(
      int index);

  /**
   * <code>string jsonStr = 2;</code>
   */
  java.lang.String getJsonStr();
  /**
   * <code>string jsonStr = 2;</code>
   */
  com.google.protobuf.ByteString
      getJsonStrBytes();
}
